package com.qmth.distributed.print.business.bean.result.report.studentRequirement;

import java.util.List;

public class StudentCourseRequirement {

    private String courseCode;
    private String courseName;
    private String semesterName;
    private Double score;
    private List<StudentCourseRequirementDetail> requirementDetailList;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public List<StudentCourseRequirementDetail> getRequirementDetailList() {
        return requirementDetailList;
    }

    public void setRequirementDetailList(List<StudentCourseRequirementDetail> requirementDetailList) {
        this.requirementDetailList = requirementDetailList;
    }
}
